mtd-utils (1:2.1.6-1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 20:02:29 +0000

mtd-utils (1:2.1.6-1) unstable; urgency=medium

  * QA upload
  * New upstream version

 -- Bastian Germann <bage@debian.org>  Mon, 04 Sep 2023 17:22:59 +0200

mtd-utils (1:2.1.5-1) unstable; urgency=medium

  * New upstream version

 -- Bastian Germann <bage@debian.org>  Tue, 11 Oct 2022 00:51:34 +0200

mtd-utils (1:2.1.4-1) unstable; urgency=medium

  * New upstream version
  * Add ubiscan utility

 -- Bastian Germann <bage@debian.org>  Mon, 10 Jan 2022 09:49:49 +0100

mtd-utils (1:2.1.3-2) unstable; urgency=medium

  * Set bage's debian.org email
  * Remove Riku (emeritus) from Uploaders (Closes: #1001564)

 -- Bastian Germann <bage@debian.org>  Fri, 10 Dec 2021 18:24:37 +0100

mtd-utils (1:2.1.3-1) unstable; urgency=medium

  * New upstream version
  * Enable SELinux

 -- Bastian Germann <bastiangermann@fishpost.de>  Thu, 29 Jul 2021 18:09:32 +0200

mtd-utils (1:2.1.2-2) unstable; urgency=medium

  * Enable crypto support (Closes: #960351)
  * Link with system iniparser
  * Use dh 13 to get rid of dh-exec
  * Update Standards-Version; no changes required

 -- Bastian Germann <bastiangermann@fishpost.de>  Wed, 13 Jan 2021 23:42:07 +0100

mtd-utils (1:2.1.2-1) unstable; urgency=medium

  [ Bastian Germann ]
  * d/gbp.conf: Set debian-branch and pristine-tar
  * lintian: rules-requires-root-missing
  * Mention included tools in description (Closes: #905689)
  * d/rules: Build with all hardening features
  * Set myself as maintainer (Closes: #970640)

  [ Helmut Grohne ]
  * Fix FTCBFS with nocheck build profile. (Closes: #970801)

 -- Bastian Germann <bastiangermann@fishpost.de>  Mon, 21 Sep 2020 21:23:35 +0200

mtd-utils (1:2.1.2-0.1) unstable; urgency=medium

  [ Bastian Germann ]
  * Non-maintainer upload.
  * Import new upstream version (Closes: #965155, #716414)
  * Use arch:linux-any (Closes: #745187)
  * Add d/watch with pubkey
  * d/copyright: Convert to DEP-5
  * d/copyright: Add new copyrights for 2.1.2
  * Revert "lib*-dev: Don't include private kernel header"
  * lib*-dev: Mark Multi-Arch: same (Closes: #965213)

  [ Balint Reczey ]
  * Ignore test results on architectures where tests are not known to pass

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Drop unnecessary dependency on dh-autoreconf.
  * Drop unnecessary dh arguments: --parallel
  * Update standards version to 4.5.0, no changes needed.

 -- Bastian Germann <bastiangermann@fishpost.de>  Tue, 08 Sep 2020 20:52:53 +0200

mtd-utils (1:2.1.1-1.1) unstable; urgency=medium

  [ Bastian Germann ]
  * Non-maintainer upload.
  * Conflict with libssl-dev
  * Add libmtd-dev and libubi-dev
  * lib*-dev: Don't include private kernel header

  [ Balint Reczey ]
  * Add minimal Salsa CI config
  * Enable unit tests
  * Build-depend on libcmocka-dev
  * Ignore test results on ppc64el because cmocka is broken there

  [ Riku Voipio ]
  * Disable test results everywhere

 -- Bastian Germann <bastiangermann@fishpost.de>  Tue, 23 Jun 2020 18:03:00 +0200

mtd-utils (1:2.1.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/changelog: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org

  [ Riku Voipio ]
  * New upstream release, closes: 902599, 902599, 921392

 -- Riku Voipio <riku.voipio@linaro.org>  Mon, 26 Aug 2019 10:39:56 +0300

mtd-utils (1:2.0.1-1) unstable; urgency=medium

  * New upstream version

 -- Riku Voipio <riku.voipio@linaro.org>  Fri, 25 Aug 2017 10:33:11 +0300

mtd-utils (1:2.0.0-1) unstable; urgency=medium

  * New upstream release

 -- Riku Voipio <riku.voipio@linaro.org>  Fri, 23 Dec 2016 21:52:06 +0200

mtd-utils (1:2.0.0~rc1-1) unstable; urgency=medium

  * New upstream RC
  * Redo packaging now that upstream is autconf based

 -- Riku Voipio <riku.voipio@linaro.org>  Mon, 12 Dec 2016 14:54:38 +0200

mtd-utils (1:1.5.2-1) unstable; urgency=medium

  * New upstream version

 -- Riku Voipio <riku.voipio@linaro.org>  Tue, 18 Aug 2015 11:16:21 +0300

mtd-utils (1:1.5.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC 5 (Closes: #778017).

 -- James Cowgill <james410@cowgill.org.uk>  Wed, 08 Jul 2015 19:21:38 +0100

mtd-utils (1:1.5.1-1) unstable; urgency=medium

  * New upstream version

 -- Riku Voipio <riku.voipio@linaro.org>  Mon, 30 Jun 2014 22:15:54 +0300

mtd-utils (1:1.5.0-1) unstable; urgency=low

  * New upstream version

 -- Riku Voipio <riku.voipio@linaro.org>  Wed, 16 May 2012 11:51:48 +0300

mtd-utils (1:1.4.9-1) unstable; urgency=low

  * New upstream version

 -- Riku Voipio <riku.voipio@linaro.org>  Thu, 03 May 2012 14:28:04 +0300

mtd-utils (1:1.4.4-1) unstable; urgency=low

  * New upstream version
  * start using release tags from upstream, thus add epoch

 -- Riku Voipio <riku.voipio@linaro.org>  Mon, 23 May 2011 12:46:10 +0300

mtd-utils (20110107-1) unstable; urgency=medium

  * New upstream version
  * Ubi creation works again: Closes: #570493, #592485
  * gcc 4.5 builds work, Closes: #565082

 -- Riku Voipio <riku.voipio@iki.fi>  Fri, 07 Jan 2011 11:50:29 +0200

mtd-utils (20100706-1) unstable; urgency=low

  * New upstream version

 -- Riku Voipio <riku.voipio@iki.fi>  Fri, 06 Aug 2010 23:55:45 +0300

mtd-utils (20090606-1) unstable; urgency=medium

  * new upstream snapshot
  * urgency medium due to fixing brown paper bag bug in mkfs.ubifs

 -- Riku Voipio <riku.voipio@iki.fi>  Sat, 06 Jun 2009 17:53:58 +0300

mtd-utils (20090511-1) unstable; urgency=low

  * new upstream snapshot

 -- Riku Voipio <riku.voipio@iki.fi>  Tue, 07 Apr 2009 23:59:24 +0300

mtd-utils (20090217-1) unstable; urgency=low

  [ Riku Voipio ]
  * New upstream snapshot
  *  Adds mkfs.ubifs !
  *  lots of fixes

 -- Riku Voipio <riku.voipio@iki.fi>  Tue, 17 Feb 2009 20:38:54 +0200

mtd-utils (20080508-1) unstable; urgency=low

  [ Riku Voipio ]
  * New upstream snapshot
  * remove mtd-tools conflict to allow proper migration

  [ Artem Bityutskiy ]
  * ubi-utils: fix long options
  * ubi-utils: make sure only one volume is auto-resize
  * ubi-utils: improve input parameters checks
  * mtd-utils: fix input parameter checks
  * ubi-utils: fix percent output in ubiformat
  * ubi-utils: fix the output print
  * ubi-utils: improve input parameters checks
  * ubi-utils: add ubiformat
  * ubi-utils: add libscan
  * ubi-utils: add libmtd
  * ubi-utils: various clean-ups and preparations
  * ubi-utils: use common.h in libubi
  * Teach libubi_open not to prirnt error message
  * ubinize: correctly calculate VID offset when min I/O unit is 1
  * ubi-utils: fix a typo

  [ Siarhei Siamashka ]
  * mkfs.jffs2.c: fix issue with crashing when using lzo compression

 -- Riku Voipio <riku.voipio@iki.fi>  Thu, 08 May 2008 22:05:36 +0300

mtd-utils (20080411-1) unstable; urgency=low

  [ Artem Bityutskiy ]
  * ubi-utils: fix printing typos

  [ Hamish Moffatt ]
  * ubi-utils: don't use argp.h

  [ Otavio Salvador ]
  * do not ignore make clean failures during build

  [ Riku Voipio ]
  * Use LSB locations for manpages
  * compr_lzo.c: allocate enough memory for lzo compressor.
  * Actually include some information in the copyright file

  [ Zoltan Sogor ]
  * ubi-utils: fix wrong variable printout

 -- Riku Voipio <riku.voipio@iki.fi>  Fri, 11 Apr 2008 13:17:14 +0300

mtd-utils (20080224-1) unstable; urgency=low

  [ Otavio Salvador ]
  * import debian/ from 20061007-1 package
  * change source and binary packages to mtd-utils, following upstream
  * add myself as uploader
  * add liblzo2-dev as build-dependency
  * unubi.c: fix compilation with gcc 4.2.3
  * unubi_analyze.c: fix compilation warnings with gcc 4.2.3
  * eb_chain.c: fix compilation warnings with gcc 4.2.3
  * properly install files on the package
  * ubi-utils: fix compilation warnings in unubi.c when using gcc 4.2.3
  * add a transitional package to easy upgrades
  * update package description since it has been renamed

  [ Riku Voipio ]
  * Add homepage: and Vcs: fields

  [ David Woodhouse ]
  * Fix recv_image compilation with new glibc

 -- Otavio Salvador <otavio@ossystems.com.br>  Wed, 05 Mar 2008 17:35:13 -0300

mtd (20061007-1) unstable; urgency=low

  * New upstream snapshot, Closes: #391095
  * flash-eraseall now works: Closes: #386753
  * update to latest debhelper and policy

 -- Riku Voipio <riku.voipio@iki.fi>  Sat,  7 Oct 2006 18:43:49 +0300

mtd (20050122-2) unstable; urgency=low

  * Fix the version, darn
  * Get rid of historic conflict, closes: #160614

 -- Riku Voipio <riku.voipio@iki.fi>  Sun, 23 Jan 2005 12:56:16 +0000

mtd (20050122) unstable; urgency=low

  * New upstream snapshot
  * Upstream contains big-endian fixes, Closes: #291182
  * Apply gcc-4 fix from Andreas Jochens, Closes: #287678

 -- Riku Voipio <riku.voipio@iki.fi>  Sun, 23 Jan 2005 12:25:28 +0000

mtd (20041007-1) unstable; urgency=low

  * New upstream version, closes: #239954
  * New maintainer
  * Images created with mkfs.jffs2 actually work, closes: #260029
  * Hardlink work nowadays too, closes: #156311

 -- Riku Voipio <riku.voipio@iki.fi>  Fri,  8 Oct 2004 11:16:21 +0000

mtd (20011217-4) unstable; urgency=low

  * Add conflict with fsh, since both contain /usr/bin/fcp. (Closes: #160614)

 -- David Schleef <ds@schleef.org>  Thu, 12 Sep 2002 01:18:43 -0700

mtd (20011217-3) unstable; urgency=low

  * Few more fixes for usage of asm headers, from Anders Boström.
    Should build on ARM now.  (Closes #94591)
  * Added additional documentation files.
  * Added more entries to debian/undocumented.

 -- David Schleef <ds@schleef.org>  Mon, 14 Jan 2002 12:52:36 -0800

mtd (20011217-2) unstable; urgency=low

  * Fix usage of asm headers (Closes #94591)

 -- David Schleef <ds@schleef.org>  Fri, 11 Jan 2002 16:14:21 -0800

mtd (20011217-1) unstable; urgency=low

  * New snapshot.
  * Update standards-version.
  * Add zlib1g-dev to build-deps.

 -- David Schleef <ds@schleef.org>  Mon, 17 Dec 2001 18:45:48 -0800

mtd (20010425-1) unstable; urgency=low

  * Initial Release.  Closes BUG#82115

 -- David Schleef <ds@debian.org>  Wed, 25 Apr 2001 06:10:39 -0700
